# for cases pointer to function 

INC1=-I/usr/include
INC2=-I/usr/ch/extern/include

target: libptfun.dl Makefile

libptfun.dl: ptfun1_1.o ptfun1_1_chdl.o \
              ptfun1_2.o ptfun1_2_chdl.o \
              ptfun2.o ptfun2_chdl.o \
              ptfun3.o ptfun3_chdl.o \
              ptfun4.o ptfun4_chdl.o \
              ptfun5.o ptfun5_chdl.o \
              ptfun6.o ptfun6_chdl.o \
              ptfun.o ptfun_chdl.o
	ch dllink libptfun.dl \
                  ptfun1_1.o ptfun1_1_chdl.o \
                  ptfun1_2.o ptfun1_2_chdl.o \
                  ptfun2.o ptfun2_chdl.o \
                  ptfun3.o ptfun3_chdl.o \
                  ptfun4.o ptfun4_chdl.o \
                  ptfun5.o ptfun5_chdl.o \
                  ptfun6.o ptfun6_chdl.o \
                  ptfun.o ptfun_chdl.o

ptfun.o: ptfun.c 
	ch dlcomp libptfun.dl ptfun.c $(INC1) $(INC2)
ptfun_chdl.o: ptfun_chdl.c 
	ch dlcomp libptfun.dl ptfun_chdl.c $(INC1) $(INC2)

ptfun1_1.o: ptfun1_1.c 
	ch dlcomp libptfun.dl ptfun1_1.c $(INC1) $(INC2)
ptfun1_1_chdl.o: ptfun1_1_chdl.c 
	ch dlcomp libptfun.dl ptfun1_1_chdl.c $(INC1) $(INC2)

ptfun1_2.o: ptfun1_2.c 
	ch dlcomp libptfun.dl ptfun1_2.c $(INC1) $(INC2)
ptfun1_2_chdl.o: ptfun1_2_chdl.c 
	ch dlcomp libptfun.dl ptfun1_2_chdl.c $(INC1) $(INC2)

ptfun2.o: ptfun2.c 
	ch dlcomp libptfun.dl ptfun2.c $(INC1) $(INC2)
ptfun2_chdl.o: ptfun2_chdl.c 
	ch dlcomp libptfun.dl ptfun2_chdl.c $(INC1) $(INC2)

ptfun3.o: ptfun3.c 
	ch dlcomp libptfun.dl ptfun3.c $(INC1) $(INC2)
ptfun3_chdl.o: ptfun3_chdl.c 
	ch dlcomp libptfun.dl ptfun3_chdl.c $(INC1) $(INC2)

ptfun4.o: ptfun4.c 
	ch dlcomp libptfun.dl ptfun4.c $(INC1) $(INC2)
ptfun4_chdl.o: ptfun4_chdl.c 
	ch dlcomp libptfun.dl ptfun4_chdl.c $(INC1) $(INC2)

ptfun5.o: ptfun5.c 
	ch dlcomp libptfun.dl ptfun5.c $(INC1) $(INC2)
ptfun5_chdl.o: ptfun5_chdl.c 
	ch dlcomp libptfun.dl ptfun5_chdl.c $(INC1) $(INC2)

ptfun6.o: ptfun6.c 
	ch dlcomp libptfun.dl ptfun6.c $(INC1) $(INC2)
ptfun6_chdl.o: ptfun6_chdl.c 
	ch dlcomp libptfun.dl ptfun6_chdl.c $(INC1) $(INC2)

clear:
	rm -f  *.o
clean:
	rm -f  *.o
	rm -f  lib*.dl
